--- old/usr/src/uts/intel/Makefile.files	jeu. déc. 26 13:50:37 2013
+++ new/usr/src/uts/intel/Makefile.files	jeu. déc. 26 13:50:37 2013
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012, Joyent, Inc. All rights reserved.
+# Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
 
 #
@@ -178,42 +179,66 @@
 	kobj_reloc.o
 
 #
-#	misc. modules
+#       ACPI CA module
 #
-ACPICA_OBJS	+= dbcmds.o dbdisply.o \
-		   dbexec.o dbfileio.o dbhistry.o dbinput.o dbstats.o \
-		   dbutils.o dbxface.o evevent.o evgpe.o evgpeblk.o \
-		   evmisc.o evregion.o evrgnini.o evsci.o evxface.o \
-		   evxfevnt.o evxfregn.o hwacpi.o hwgpe.o hwregs.o \
-		   hwsleep.o hwtimer.o dsfield.o dsinit.o dsmethod.o \
-		   dsmthdat.o dsobject.o dsopcode.o dsutils.o dswexec.o \
-		   dswload.o dswscope.o dswstate.o exconfig.o exconvrt.o \
-		   excreate.o exdump.o exfield.o exfldio.o exmisc.o \
-		   exmutex.o exnames.o exoparg1.o exoparg2.o exoparg3.o \
-		   exoparg6.o exprep.o exregion.o exresnte.o exresolv.o \
-		   exresop.o exstore.o exstoren.o exstorob.o exsystem.o \
-		   exutils.o psargs.o psopcode.o psparse.o psscope.o \
-		   pstree.o psutils.o pswalk.o psxface.o nsaccess.o \
-		   nsalloc.o nsdump.o nsdumpdv.o nseval.o nsinit.o \
-		   nsload.o nsnames.o nsobject.o nsparse.o nssearch.o \
-		   nsutils.o nswalk.o nsxfeval.o nsxfname.o nsxfobj.o \
-		   rsaddr.o rscalc.o rscreate.o rsdump.o \
-		   rsinfo.o rsio.o rsirq.o rslist.o rsmemory.o rsmisc.o \
-		   rsutils.o rsxface.o tbfadt.o tbfind.o tbinstal.o  \
-		   tbutils.o tbxface.o tbxfroot.o \
-		   utalloc.o utclib.o utcopy.o utdebug.o utdelete.o \
-		   uteval.o utglobal.o utinit.o utmath.o utmisc.o \
-		   utobject.o utresrc.o utxface.o acpica.o acpi_enum.o \
-		   master_ops.o osl.o osl_ml.o acpica_ec.o utcache.o \
-		   utmutex.o utstate.o dmbuffer.o dmnames.o dmobject.o \
-		   dmopcode.o dmresrc.o dmresrcl.o dmresrcs.o dmutils.o \
-		   dmwalk.o psloop.o nspredef.o hwxface.o hwvalid.o \
-		   utlock.o utids.o nsrepair.o nsrepair2.o \
-		   dbmethod.o dbnames.o dsargs.o dscontrol.o dswload2.o \
-		   evglock.o evgpeinit.o evgpeutil.o evxfgpe.o exdebug.o \
-		   hwpci.o utdecode.o utosi.o utxferror.o
 
+# native
+ACPICA_OBJS +=	acpica.o acpica_ec.o acpi_enum.o master_ops.o osl.o	\
+		osl_ml.o
+# debugger
+ACPICA_OBJS +=	dbcmds.o dbdisply.o dbexec.o dbfileio.o dbhistry.o	\
+		dbinput.o dbmethod.o dbnames.o dbstats.o dbutils.o	\
+		dbxface.o dbconvert.o
+# disassembler
+ACPICA_OBJS +=	dmbuffer.o dmnames.o dmobject.o dmopcode.o dmresrc.o	\
+		dmresrcl.o dmresrcs.o dmutils.o dmwalk.o dmdeferred.o	\
+		dmresrcl2.o
+# dispatcher
+ACPICA_OBJS +=	dsargs.o dscontrol.o dsfield.o dsinit.o dsmethod.o	\
+		dsmthdat.o dsobject.o dsopcode.o dsutils.o dswexec.o	\
+		dswload.o dswload2.o dswscope.o dswstate.o
+# events
+ACPICA_OBJS +=	evevent.o evglock.o evgpe.o evgpeblk.o evgpeinit.o	\
+		evgpeutil.o evmisc.o evregion.o evrgnini.o evsci.o	\
+		evxface.o evxfevnt.o evxfgpe.o evxfregn.o evhandler.o
+# executer
+ACPICA_OBJS +=	exconfig.o exconvrt.o excreate.o exdebug.o exdump.o	\
+		exfield.o exfldio.o exmisc.o exmutex.o exnames.o	\
+		exoparg1.o exoparg2.o exoparg3.o exoparg6.o exprep.o	\
+		exregion.o exresnte.o exresolv.o exresop.o exstore.o	\
+		exstoren.o exstorob.o exsystem.o exutils.o
+# hardware
+ACPICA_OBJS +=	hwacpi.o hwgpe.o hwpci.o hwregs.o hwsleep.o hwtimer.o	\
+		hwvalid.o hwxface.o hwesleep.o hwxfsleep.o
+# namespace
+ACPICA_OBJS +=	nsaccess.o nsalloc.o nsdump.o nsdumpdv.o nseval.o	\
+		nsinit.o nsload.o nsnames.o nsobject.o nsparse.o	\
+		nspredef.o nsrepair.o nsrepair2.o nssearch.o nsutils.o	\
+		nswalk.o nsxfeval.o nsxfname.o nsxfobj.o nsarguments.o	\
+		nsconvert.o nsprepkg.o
+# parser
+ACPICA_OBJS +=	psargs.o psloop.o psopcode.o psparse.o psscope.o	\
+		pstree.o psutils.o pswalk.o psxface.o psobject.o psopinfo.o
+# resources
+ACPICA_OBJS +=	rsaddr.o rscalc.o rscreate.o rsdump.o rsinfo.o rsio.o	\
+		rsirq.o rslist.o rsmemory.o rsmisc.o rsutils.o		\
+		rsxface.o rsdumpinfo.o rsserial.o
+# tables
+ACPICA_OBJS +=	tbfadt.o tbfind.o tbinstal.o tbutils.o tbxface.o	\
+		tbxfroot.o tbprint.o tbxfload.o
+# utilities
+ACPICA_OBJS +=	utalloc.o utcache.o utclib.o utcopy.o utdebug.o		\
+		utdecode.o utdelete.o uteval.o utglobal.o utids.o	\
+		utinit.o utlock.o utmath.o utmisc.o utmutex.o		\
+		utobject.o utosi.o utresrc.o utstate.o uttrack.o	\
+		utxface.o utxferror.o utaddress.o utbuffer.o uterror.o	\
+		utexcep.o utownerid.o utpredef.o utstring.o utxfinit.o	\
+		utxfmutex.o
 
+#
+#	misc. modules
+#
+
 AGP_OBJS += agpmaster.o
 FBT_OBJS += fbt.o
 SDT_OBJS += sdt.o
@@ -250,6 +275,7 @@
 
 #
 #	IPMI module
+#
 IPMI_OBJS +=	ipmi_main.o ipmi.o ipmi_kcs.o
 
 #
